Package org.postgresql.hostchooser

# Interface HostChooser

All Superinterfaces:
  `Iterable<CandidateHost>`

public interface HostChooser extends Iterable<CandidateHost>
Lists connections in preferred order.

## Method Summary

Modifier and Type
Method
Description
`Iterator<CandidateHost>`
`iterator()`
Lists connection hosts in preferred order.

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Method Details

### iterator

Iterator<CandidateHost> iterator()
Lists connection hosts in preferred order.

Specified by:
  `iterator` in interface `Iterable<CandidateHost>`
Returns:
  connection hosts in preferred order.